### Class

# Tracker EndpointDBus

#### Description [src]

    final class Tracker.EndpointDBus : Tracker.Endpoint
      implements Gio.Initable {
      /* No available fields */
    }

`TrackerEndpointDBus` makes the RDF data in a `TrackerSparqlConnection` accessible to other processes via DBus.

This object is a `TrackerEndpoint` subclass that exports a `TrackerSparqlConnection` so its RDF data is accessible to other processes through the given `GDBusConnection`.

    // This process already has org.example.Endpoint bus name
    endpoint = tracker_endpoint_dbus_new (sparql_connection,
                                          dbus_connection,
                                          NULL,
                                          NULL,
                                          &error);

    // From another process
    connection = tracker_sparql_connection_bus_new ("org.example.Endpoint",
                                                    NULL,
                                                    dbus_connection,
                                                    &error);

The `TrackerEndpointDBus` will manage a DBus object at the given path with the `org.freedesktop.Tracker3.Endpoint` interface, if no path is given the object will be at the default `/org/freedesktop/Tracker3/Endpoint` location.

Access to these endpoints may be transparently managed through the Tracker portal service for applications sandboxed via Flatpak, and access to data constrained to the graphs defined in the applications manifest.

A `TrackerEndpointDBus` may be created on a different thread/main context from the one that created `TrackerSparqlConnection`.

#### Ancestors

- TrackerEndpoint
- GObject

#### Implements

- GInitable

#### Constructors

###### tracker_endpoint_dbus_new

Registers a Tracker endpoint object at `object_path` on `dbus_connection`. The default object path is `/org/freedesktop/Tracker3/Endpoint`.

#### Instance methods

##### Methods inherited from TrackerEndpoint (1)

###### tracker_endpoint_get_sparql_connection

Returns the `TrackerSparqlConnection` that this endpoint proxies to a wider audience.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GInitable (1)

###### g_initable_init

Initializes the object implementing the interface.

since: 2.22

#### Properties

###### Tracker.EndpointDBus:dbus-connection

The `GDBusConnection` where the connection is proxied through.

###### Tracker.EndpointDBus:object-path

The DBus object path that this endpoint manages.

##### Properties inherited from TrackerEndpoint (1)

###### Tracker.Endpoint:sparql-connection

The `TrackerSparqlConnection` being proxied by this endpoint.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.